import { createSelector } from 'reselect';

const selectApp = (state) => state.app;

export const selectCurrentCameraJobId = createSelector(
  [selectApp],
  (app) => app.cameraJobId
);

export const selectCurrentCameraJob = createSelector(
  [selectApp],
  (app) => app.cameraJob
);

export const selectDocumentUploadInProgress = createSelector(
  [selectApp],
  (app) => app.documentUploadInProgress
);

export const selectDocumentUploadError = createSelector(
  [selectApp],
  (app) => app.documentUploadError
);

export const selectDeleteAfterUpload = createSelector(
  [selectApp],
  (app) => app.deleteAfterUpload
);

export const selectTheme = createSelector(
  [selectApp],
  (app) => app.theme
);